Exception::getTraceAsString
Exception::__clone
Exception
PHP Manual

# Exception::__toString

(PHP 5 >= 5.1.0)

Exception::__toString — String representation of the exception

### 설명

public string Exception::__toString ( void )

Returns the string representation of the exception.

### 인수

이 함수는 인수가 없습니다.

### 반환값

Returns the string representation of the exception.

### 예제

Example #1 Exception::__toString() example

`<?php
try {
throw new Exception("Some error message");
} catch(Exception $e) {
echo $e;
}
?>`

위 예제의 출력 예시:

    exception 'Exception' with message 'Some error message' in /home/bjori/tmp/ex.php:3
    Stack trace:
    #0 {main}

Exception::getTraceAsString
Exception::__clone
Exception
PHP Manual